### Enumeration

# Gck UriFlags

since: 1

#### Declaration

    flags Gck.UriFlags

#### Description [src]

Which parts of the PKCS#11 URI will be parsed or formatted. These can be combined.

Available since: 1

#### Members

`GCK_URI_FOR_OBJECT`

  The URI will be used to match objects.

  - Value: `2`
  - Nickname: `for-object`
  - Available since: 1
`GCK_URI_FOR_TOKEN`

  The URI will be used to match tokens.

  - Value: `4`
  - Nickname: `for-token`
  - Available since: 1
`GCK_URI_FOR_MODULE`

  The URI will be used to match modules.

  - Value: `8`
  - Nickname: `for-module`
  - Available since: 1
`GCK_URI_WITH_VERSION`

  The URI has specific version numbers for module and/or token.

  - Value: `16`
  - Nickname: `with-version`
  - Available since: 1
`GCK_URI_FOR_ANY`

  Parse all recognized components of the URI.

  - Value: `65535`
  - Nickname: `for-any`
  - Available since: 1